Trace boundary for open object

How can we get boundary of an open object?
I am able to get for close object. (Polyline or line)

Comments

  • In the screenshot you see 3 cases, line segments with 1 gap, line segments with more gaps
    and an open polyline...
    In all three cases you can get a closed boundary following the steps below :
    Use the BOUNDARY command and the "Pick Points" Button.



    Then pick a point within the group of line segments or the polyline
    end select the option Select entities in the command line...

    Pick a point to define a boundary or hatch area or [Select entities/Undo]: s

    In the 2 cases of groups of lines with gaps you should select the lines in sequential order !
    1>2>3>4>5>....... and finish the command.
    You get the closed boundaries.
    In the case of the open polyline you just select the open polyline ...and you get the closed boundary!
    Of course you can close the polyline in the properties Palette and use a copy as boundary....but then
    you would have to open the original polyline again, not elegant enough ....



    You find attached the DWG
  • You can use connect command if you use Bricscad version 23.
  • In code (.NET, or BRX) you may be able to use use one of, AcDbEntity::intersectWith, AcDbCurve::extend, or set the polyline as closed. use acedTraceBoundary or Editor.TraceBoundary
  • @hirahira6014 I think connect command is not useful in this case.
  • @Sakko great!!
    It works for me. will find API for the same.
    thank you so much.
  • @NigelTufnel actually I have bunch of lines and polylines. I have used intersectwith.